Classes | Namespaces | Functions | Variables
PolygonUtils.h File Reference
`#include <functional>`
`#include <memory>`
`#include <vector>`
`#include <librevenge/librevenge.h>`
`#include "Coordinate.h"`
`#include "Line.h"`
`#include "ShapeType.h"`
`#include "VectorTransformation2D.h"`

Go to the source code of this file.

## Classes
struct | libmspub::Vertex
struct | libmspub::Calculation
struct | libmspub::TextRectangle
struct | libmspub::CustomShape
struct | libmspub::DynamicCustomShape

## Namespaces
| libmspub

## Functions
std::shared_ptr< const CustomShape > | libmspub::getFromDynamicCustomShape (const DynamicCustomShape &dcs)
const CustomShape * | libmspub::getCustomShape (ShapeType type)
bool | libmspub::isShapeTypeRectangle (ShapeType type)
librevenge::RVNGPropertyList | libmspub::calcClipPath (const std::vector< libmspub::Vertex > &verts, double x, double y, double height, double width, VectorTransformation2D transform, std::shared_ptr< const CustomShape > shape)
void | libmspub::writeCustomShape (ShapeType shapeType, librevenge::RVNGPropertyList &graphicsProps, librevenge::RVNGDrawingInterface *painter, double x, double y, double height, double width, bool closeEverything, VectorTransformation2D transform, std::vector< Line > lines, std::function< double(unsigned index)> calculator, const std::vector< Color > &palette, std::shared_ptr< const CustomShape > shape)

## Variables
const int | libmspub::PROP_ADJUST_VAL_FIRST = 327
const int | libmspub::PROP_ADJUST_VAL_LAST = 336
const int | libmspub::PROP_GEO_LEFT = 320
const int | libmspub::PROP_GEO_TOP = 321
const int | libmspub::PROP_GEO_RIGHT = 322
const int | libmspub::PROP_GEO_BOTTOM = 323
const int | libmspub::OTHER_CALC_VAL = 0x400
const int | libmspub::ASPECT_RATIO = 0x600